--- a/dist/bin/dump-postgresql.sh
+++ b/dist/bin/dump-postgresql.sh
@@ -45,25 +45,32 @@
 builderdir="$(readlink -m ${builderdir})"
 #echo "builderdir=${builderdir}"
 
-# T A B L E S
-
 wn="words casedwords senses synsets linktypes semlinks lexlinks postypes lexdomains morphmaps morphs samples vframemaps vframes vframesentencemaps vframesentences adjpositions adjpositiontypes"
 lsenses="senses20 senses21"
 lsensemaps="sensemaps2021 sensemaps2130"
-lsynsetmaps="synsetmaps2030 synsetmaps2130"
-lcomputedsynsetmaps=""
+lsynsetmaps=""
+lcomputedsensemaps=""
 case ${dbtag} in
+	30)
+		lsenses="${lsenses}"
+		lcomputedsensemaps=""
+		lsynsetmaps="synsetmaps2030 synsetmaps2130"
+		;;
 	31)
 		lsenses="${lsenses} senses30"
-		lsynsetmaps="${lsynsetmaps} synsetmaps3031"
+		lcomputedsensemaps="sensemaps3031"
+		lsynsetmaps="synsetmaps2031 synsetmaps2131 synsetmaps3031"
 		;;
 	31_snapshot*)
 		lsenses="${lsenses} senses30 senses31"
-		lsynsetmaps="${lsynsetmaps} synsetmaps3031"
-		lcomputedsynsetmaps="${lcomputedsynsetmaps} sensemaps3031"
+		lcomputedsensemaps="sensemaps3031 sensemaps3131_snapshot"
+		lsynsetmaps="synsetmaps2031_snapshot synsetmaps2131_snapshot synsetmaps3031_snapshot synsetmaps3131_snapshot"
 		;;
+	*)
+		echo "illegal dbtag ${dbtag}"
+		exit 1
 esac
-legacy="${lsenses} ${lsensemaps} ${lsynsetmaps} ${lcomputedsynsetmaps}"
+legacy="${lsenses} ${lsensemaps} ${lsynsetmaps} ${lcomputedsensemaps}"
 vn="vnclasses vnclassmembers vnclassmembersenses vngroupings vngroupingmaps vnrolemaps vnroles vnroletypes vnselrestrs vnselrestrtypes vnframemaps vnframes vnframenames vnframesubnames vnsemantics vnsyntaxes vnpredicatemaps vnpredicates vnexamplemaps vnexamples" 
 bnc="bncs bncimaginfs bncconvtasks bncspwrs"
 sumo="sumofiles sumoformulas sumoterms sumotermattrs sumomaps sumoparsemaps"
@@ -123,10 +130,6 @@
 
 # M A I N
 
-if [ ! -z "$@" ]; then
-	export domains="$@"
-fi
-
 rm -fR ${outdir}
 mkdir -p ${outdir}